| prd Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions
xprd_selftest_example.c File Reference

## Overview

This file contains a design example using the PR Decoupler driver to do self test on the device.

Note
  None

MODIFICATION HISTORY:

    Ver   Who    Date            Changes

    1.00  ms   7/14/2016      First release
          ms    04/05/2017    Modified comment lines notation in functions to
                              avoid unnecessary description displayed
                              while generating doxygen.
    2.2   Nava  06/22/2023    Added support for system device-tree flow.

## Macros
#define | PRD_DEVICE_ID XPAR_PR_DECOUPLER_0_DEVICE_ID
| The following constants map to the XPAR parameters created in the xparameters.h file. More...

## Functions
u32 | XPrd_SelfTestExample (u16 DeviceId)
| This function does a minimal test on the PR Decoupler device and driver as a design example. More...
int | main (void)
| This function is used to call the example. More...

## Macro Definition Documentation

#define PRD_DEVICE_ID XPAR_PR_DECOUPLER_0_DEVICE_ID

The following constants map to the XPAR parameters created in the xparameters.h file.

They are defined here such that a user can easily change all the needed parameters in one place.

Referenced by main().

## Function Documentation

int main | ( | void |  | ) |

This function is used to call the example.

Parameters

  None. |

Returns
  - XST_SUCCESS if successful.
  - XST_FAILURE if failed.

Note
  None.

References PRD_DEVICE_ID, and XPrd_SelfTestExample().

u32 XPrd_SelfTestExample | ( | u16 | DeviceId | ) |

This function does a minimal test on the PR Decoupler device and driver as a design example.

The purpose of this function is to illustrate how to use the XPrd component.

Parameters

  DeviceId | is the XPAR_<prd_instance>_DEVICE_ID value from xparameters.h.

Returns
  - XST_SUCCESS if successful.
  - XST_FAILURE if failed.

Note
  None.

References XPrd_CfgInitialize(), XPrd_LookupConfig(), and XPrd_SelfTest().

Referenced by main().